Page MenuHomePhabricator

efl_ui_list_view: Hide SegArray and PreciseLayouter
ClosedPublic

Authored by larryolj on Jan 22 2019, 12:27 PM.

Details

Summary

Changed seg_array eolian class to struct
Changed PreciseLayouter and Relayout to private eolian
Removed relayout set/get in Efl.Ui.List.View

Diff Detail

Repository
rEFL core/efl
Branch
listfix
Lint
No Linters Available
Unit
No Unit Test Coverage
Build Status
Buildable 9008
Build 7808: arc lint + arc unit
larryolj created this revision.Jan 22 2019, 12:27 PM
larryolj requested review of this revision.Jan 22 2019, 12:27 PM
SanghyeonLee accepted this revision.Jan 23 2019, 2:25 AM

looks good to me.
we need to hide this classes till we get the conclusion about segarray and layouter features.

This revision is now accepted and ready to land.Jan 23 2019, 2:25 AM
cedric accepted this revision.Jan 23 2019, 10:14 AM

Good necessary step.

one doubt about this...........
shouldn't we hide the extern struct Efl.Ui.Item_View_Seg_Array_Node also in efl_ui_list_view_types.eot?

larryolj updated this revision to Diff 18798.Jan 24 2019, 4:38 AM

removed Efl.Ui.Item_View_Seg_Array_Node in efl_ui_list_view_types.eot

felipealmeida accepted this revision.Jan 24 2019, 5:29 AM
This revision was automatically updated to reflect the committed changes.